package net.wanji.opt.servicev2.judgeanalysis.impl;


import net.wanji.common.framework.dubbointerface.impl.BaseDubboInterfaceImpl;
import net.wanji.common.framework.mapper.BaseInterfaceMapper;
import net.wanji.databus.dao.mapper.BaseAreaInfoMapper;
import net.wanji.databus.po.BaseAreaInfoPO;
import net.wanji.opt.entity.BaseAreaInfo;

import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.servicev2.judgeanalysis.BaseAreaInfoService;
import org.apache.dubbo.config.annotation.Service;
import org.springframework.stereotype.Component;
import javax.annotation.Resource;
import java.util.List;


/**
 * <p>
 * 区域基础信息
 * </p>
 *
 * @Author wangtao
 * @Date 2025-03-18
 */
@Slf4j
@Component
@Service
public class BaseAreaInfoServiceImpl   implements BaseAreaInfoService {

    @Resource
    private BaseAreaInfoMapper baseAreaInfoMapper;


    /**
     * 根据区划类型查询对应集合（含子集）
     * @param type
     * @return
     */
    public List<BaseAreaInfoPO> selectByType(Integer type){
        List<BaseAreaInfoPO> list = baseAreaInfoMapper.selectByType(type);
        if (list.size() > 0){
            list.stream().forEach(item ->{
                List<BaseAreaInfoPO> areaInfoPOList = baseAreaInfoMapper.selectListByParentCode(item.getId());
                if (areaInfoPOList.size() > 0){
                    item.setAreaInfoPOList(areaInfoPOList);
                }
            });
        }

        return list;
    }
}
